﻿var Layout = {};

Layout.Init = function() {
    Layout.MainSplitter_Resize();
    $(window).resize(Layout.MainSplitter_Resize);
}

Layout.MainSplitter_Resize = function() {
    var height = $(window).height();
    var splitter = $('#MainSplitter');
    splitter.height(height - 25);
    splitter.resize();
}

Layout.NavigationTreeView_OnLoad = function(e) {
    $('#NavigationTreeView').data('tTreeView').addContextMenu({
	    evaluateNode: function(treeview, node) {
		    var nodeValue = treeview.getItemValue(node);
		    var nodeType = nodeValue.split('|')[0].toString();
		    return nodeType == 'project';
	    },
	    menuItems: [{
		        text: 'Properties',
		        onclick: Layout.NavigationTreeView_OnProperties
	        }]
    });

    $('#NavigationTreeView').data('tTreeView').addContextMenu({
	    evaluateNode: function(treeview, node) {
		    var nodeValue = treeview.getItemValue(node);
		    var nodeType = nodeValue.split('|')[0].toString();
		    return nodeType == 'codefile';
	    },
	    menuItems: [{
		        text: 'Edit',
		        onclick: Layout.NavigationTreeView_OnEdit
            }, {
		        text: 'Delete',
		        onclick: Layout.NavigationTreeView_OnDelete
            }, {
                separator: true
            }, {
		        text: 'Properties',
		        onclick: Layout.NavigationTreeView_OnProperties
	        }]
    });
}

Layout.NavigationTreeView_OnProperties = function(e) {
    alert('You Clicked ' + e.item.text() + ' for ' + e.treeview.getItemText(e.node) + ' with a value of ' + e.treeview.getItemValue(e.node));
}

Layout.NavigationTreeView_OnEdit = function(e) {
    alert('You Clicked ' + e.item.text() + ' for ' + e.treeview.getItemText(e.node) + ' with a value of ' + e.treeview.getItemValue(e.node));
}

Layout.NavigationTreeView_OnDelete = function(e) {
    alert('You Clicked ' + e.item.text() + ' for ' + e.treeview.getItemText(e.node) + ' with a value of ' + e.treeview.getItemValue(e.node));
}
