﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Telerik.Web.Mvc.UI;

namespace TelerikMvcAspxApp.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            return View();
        }

        public JsonResult NavigationTreeItems()
        {
            List<TreeViewItem> treeNodeList = new List<TreeViewItem>();

            TreeViewItem tviRoot = new TreeViewItem
            {
                Text = "My Solution",
                Value = "My Solution"
            };
            treeNodeList.Add(tviRoot);

            for (int pdx = 0; pdx < 5; pdx++)
            {
                TreeViewItem tviProject = new TreeViewItem
                {
                    Text = string.Format("Project {0}", pdx),
                    Value = string.Format("project|{0}", pdx)
                };
                tviRoot.Items.Add(tviProject);

                for (int cdx = 0; cdx < 10; cdx++)
                {
                    TreeViewItem tviCodeFile = new TreeViewItem
                    {
                        Text = string.Format("Code File {0}", cdx),
                        Value = string.Format("codefile|{0}", cdx)
                    };
                    tviProject.Items.Add(tviCodeFile);
                }
            }

            return Json(treeNodeList, JsonRequestBehavior.AllowGet);
        }
    }
}
